Name:		rocksndiamonds
Summary:	A boulderdash like
Version:	2.0.0
Release:	2mdk

Source: http://www.artsoft.org/rocksndiamonds/RELEASES/%{name}-%{version}.tar.bz2
Source1: %{name}.16.xpm.bz2
Source2: %{name}.32.xpm.bz2
Patch1: rocksndiamonds-2.0.0-remove-static-cflags.patch.bz2
Patch2: rocksndiamonds-2.0.0-fix-va_arg.patch.bz2
Patch3: rocksndiamonds-2.0.0-fix-x11-path.patch.bz2
Patch4: rocksndiamonds-2.0.0-fix-includes.patch.bz2

URL: http://www.artsoft.org/rocksndiamonds/
License:	GPL
Group: Games/Arcade
BuildRequires: XFree86-devel libSDL-devel libSDL_mixer-devel libSDL_image-devel
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This is a nice little game with color graphics and sound for your
Unix system.

If you know the game "Boulderdash" (Commodore C64) or "Emerald Mine"
(Amiga) or "Supaplex" (PC), you know what "ROCKS'N'DIAMONDS" is about.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
X11_PATH="/usr/X11R6" OPTIONS="%optflags" pkgdatadir="%_gamesdatadir/%name" make sdl

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp %{name} $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.wrapped
cp -a graphics levels scores sounds music $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" icon="%{name}.xpm" \
  needs="x11" section="Amusement/Arcade" title="Rocks n Diamonds" \
  longtitle="%{summary}"
EOF

cat << EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
pushd %{_gamesdatadir}/%{name}
%{_gamesbindir}/%{name}.wrapped
popd
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc README COPYING
%attr(0755,root,root) %{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm

%changelog
* Sat Mar 24 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0.0-2mdk
- PPC: build with gcc

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0 (many new goodies, including networked multiplayer)

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.0-5mdk
- Fix build for PPC

* Thu Oct 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-4mdk
- fix compile with gcc-2.96

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-3mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.0-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.0-1mdk
- first package for Linux-Mandrake

